GNU bug report logs - #45839
28.0.50; Isearch and transient mode wierd behaviour in info-mode!

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Utkarsh Singh <utkarsh190601@HIDDEN>; Keywords: fixed; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.0.50, send any further explanations to 45839 <at> debbugs.gnu.org and Utkarsh Singh <utkarsh190601@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45839 <at> debbugs.gnu.org:


Received: (at 45839) by debbugs.gnu.org; 14 Jan 2021 19:13:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 14:13:27 2021
Received: from localhost ([127.0.0.1]:39275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l083j-0001jw-CS
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 14:13:27 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:46465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1l083h-0001jN-S6; Thu, 14 Jan 2021 14:13:26 -0500
X-Originating-IP: 91.129.98.64
Received: from mail.gandi.net (m91-129-98-64.cust.tele2.ee [91.129.98.64])
 (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id A22CC2000A;
 Thu, 14 Jan 2021 19:13:18 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: 45839 <at> debbugs.gnu.org
Subject: Re: bug#45839: 28.0.50; Isearch and transient mode wierd behaviour
 in info-mode!
Organization: LINKOV.NET
References: <874kjljbsc.fsf@HIDDEN> <871reokawq.fsf@HIDDEN>
 <accbedc6-63ce-4e8d-a788-6fdf443ba1dd@default>
 <87v9bz3l0c.fsf@HIDDEN> <87mtxby5t9.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 21:09:20 +0200
In-Reply-To: <87mtxby5t9.fsf@HIDDEN> (Utkarsh Singh's message of "Thu, 14
 Jan 2021 19:32:58 +0530")
Message-ID: <87h7nj1gkf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45839
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

tags 45839 fixed
close 45839 28.0.50
thanks

>> @@ -2066,6 +2065,7 @@ Info-search
>>                 (< found opoint-max))
>>            ;; Search landed in the same node
>>            (goto-char found)
>> +        (deactivate-mark)
>>          (widen)
>>          (goto-char found)
>>          (save-match-data (Info-select-node)))
>
> Thanks this works!

Thanks for confirming, now pushed to master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45839; Package emacs. Full text available.

Message received at 45839 <at> debbugs.gnu.org:


Received: (at 45839) by debbugs.gnu.org; 14 Jan 2021 09:51:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 04:51:26 2021
Received: from localhost ([127.0.0.1]:37237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzzHp-0008NV-Sn
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:51:26 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:57777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kzzHn-0008NH-6c
 for 45839 <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:51:24 -0500
X-Originating-IP: 91.129.98.64
Received: from mail.gandi.net (m91-129-98-64.cust.tele2.ee [91.129.98.64])
 (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 552D42400FE;
 Thu, 14 Jan 2021 09:51:14 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#45839: 28.0.50; Isearch and transient mode wierd behaviour
 in info-mode!
Organization: LINKOV.NET
References: <874kjljbsc.fsf@HIDDEN> <871reokawq.fsf@HIDDEN>
 <accbedc6-63ce-4e8d-a788-6fdf443ba1dd@default>
Date: Thu, 14 Jan 2021 11:20:27 +0200
In-Reply-To: <accbedc6-63ce-4e8d-a788-6fdf443ba1dd@default> (Drew Adams's
 message of "Wed, 13 Jan 2021 11:20:34 -0800 (PST)")
Message-ID: <87v9bz3l0c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45839
Cc: 45839 <at> debbugs.gnu.org, Utkarsh Singh <utkarsh190601@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Please see in the function 'Info-search' that it intentionally
>> deactivates the active region during the search by calling:
>>
>>   (deactivate-mark)
>>
>> This is because when the search arrives in another Info node,
>> then region highlighting breaks - the region's beginning stays
>> in the previous node, while the region's end moves to the next node.
>> To avoid such situation, it deactivates the active region.
>
> FWIW, Info+ doesn't have this problem.  It deactivates
> the mark only when search moves to another node.

But this doesn't mean that info.el should not be fixed.
Here is the fix:

diff --git a/lisp/info.el b/lisp/info.el
index 62d7b583ff..dec93928b3 100644
--- a/lisp/info.el
+++ b/lisp/info.el
@@ -1973,7 +1973,6 @@ Info-search
                        "Regexp search%s" (car Info-search-history)
 		       (if case-fold-search "" " case-sensitively"))
 		      nil 'Info-search-history)))
-  (deactivate-mark)
   (when (equal regexp "")
     (setq regexp (car Info-search-history)))
   (when regexp
@@ -2066,6 +2065,7 @@ Info-search
                (< found opoint-max))
           ;; Search landed in the same node
           (goto-char found)
+        (deactivate-mark)
         (widen)
         (goto-char found)
         (save-match-data (Info-select-node)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45839; Package emacs. Full text available.

Message received at 45839 <at> debbugs.gnu.org:


Received: (at 45839) by debbugs.gnu.org; 13 Jan 2021 19:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 14:26:56 2021
Received: from localhost ([127.0.0.1]:36626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzlnE-0002cR-GA
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 14:26:56 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:39162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kzlnD-0002cB-Kg
 for 45839 <at> debbugs.gnu.org; Wed, 13 Jan 2021 14:26:56 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 10DJOXag066282;
 Wed, 13 Jan 2021 19:26:49 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=KYJsnPWEP7j6w/dNlLUXo68SdmHuDSjaUtbubq9xIWs=;
 b=XW1x5Rvyhwe8vsroy4sCWfreY6A9lO2Z2yp21CsYijmV8SSamtNZ+yfhIg+hrYX/dqtK
 apLfHzRAla2ZYx+Rqneg3HjCwci7GFRjIDZCRn42OAnxRHrziW6zj/wZWFm9dBNuEanC
 j6j1zR02yuNfXtVGKLFbd2fR4cN+r5hnGOv73jSkVCZE85pxjqOoc3kc4Yvp3qraKGV2
 nUaJKmLdS81sdf2uXmjNFo9UTd0kkHknME0rePtarpLGPOVBybhMscEUETcuOXl9eXmR
 d/8LOUTGFoo0aV9OHL3PR+NKbl3Adi0LuyFnBSCOlpfeJ8lBwgl5TjS8A2ydcnDQyyd/ hw== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2120.oracle.com with ESMTP id 360kcyw51h-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 13 Jan 2021 19:26:49 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 10DJJeUl136987;
 Wed, 13 Jan 2021 19:24:49 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserp3020.oracle.com with ESMTP id 360ke8vp2r-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 13 Jan 2021 19:24:49 +0000
Received: from abhmp0016.oracle.com (abhmp0016.oracle.com [141.146.116.22])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 10DJOlZB028902;
 Wed, 13 Jan 2021 19:24:48 GMT
MIME-Version: 1.0
Message-ID: <c47d4278-4cc8-4e49-bb98-4abf86a50688@default>
Date: Wed, 13 Jan 2021 11:24:46 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Utkarsh Singh <utkarsh190601@HIDDEN>
Subject: RE: bug#45839: 28.0.50; Isearch and transient mode wierd behaviour in
 info-mode!
References: <874kjljbsc.fsf@HIDDEN> <871reokawq.fsf@HIDDEN>
 <accbedc6-63ce-4e8d-a788-6fdf443ba1dd@default>
In-Reply-To: <accbedc6-63ce-4e8d-a788-6fdf443ba1dd@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5095.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9863
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 suspectscore=0 spamscore=0
 mlxlogscore=999 malwarescore=0 bulkscore=0 mlxscore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2101130115
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9863
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 phishscore=0
 impostorscore=0 bulkscore=0 adultscore=0 suspectscore=0 malwarescore=0
 lowpriorityscore=0 clxscore=1015 mlxlogscore=999 mlxscore=0
 priorityscore=1501 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2101130116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45839
Cc: 45839 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Adding links, for OP -

Info+ description:

https://www.emacswiki.org/emacs/InfoPlus

code:

https://www.emacswiki.org/emacs/download/info%2b.el

___

Isearch+ description:

https://www.emacswiki.org/emacs/IsearchPlus

code:

https://www.emacswiki.org/emacs/download/isearch%2b.el




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45839; Package emacs. Full text available.

Message received at 45839 <at> debbugs.gnu.org:


Received: (at 45839) by debbugs.gnu.org; 13 Jan 2021 19:20:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 14:20:53 2021
Received: from localhost ([127.0.0.1]:36620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzlhM-0002T9-OL
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 14:20:52 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:34548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kzlhG-0002SZ-WD
 for 45839 <at> debbugs.gnu.org; Wed, 13 Jan 2021 14:20:51 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 10DJJwoY062754;
 Wed, 13 Jan 2021 19:20:41 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=7GJf7LjGAEu7S3rOqu9FZu4Ut+MK17TlYEKQt+3HMqQ=;
 b=ej2wzdzy3r6XNf+g9/i40fuFi7To7xP3IF4KyGAlV5D0oo5NZsp2QDbYQYMTcByfqKET
 99/n4z10JKJ3MxZtT5LWd0hb+aqY5nf5DTz2UId7r58b/pEARoHgapy3zL9Wd9HNYpdK
 lvDcUr70m7QH1kZJ4KG0o6WyQCs0/zVzYsFVfYfCMWb9SDl0Fwy5+3orJEWpbLJHOlT4
 8Pr0qzUBbQDYRhR8/OgemGvNiWQniwUGUcIlKuUyvW7aRtYDXQP4SQtyuoAT1ncGgccz
 N0HwTIQ4S1GsVBff01U74vg7bhDDZqINfbEe44yqIKMoAV+A6dwqcVov7p3AhVp9PTkX xg== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 360kcyw49q-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 13 Jan 2021 19:20:41 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 10DJKZBd077883;
 Wed, 13 Jan 2021 19:20:40 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3020.oracle.com with ESMTP id 360kf8696c-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 13 Jan 2021 19:20:40 +0000
Received: from abhmp0016.oracle.com (abhmp0016.oracle.com [141.146.116.22])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 10DJKZVC027891;
 Wed, 13 Jan 2021 19:20:35 GMT
MIME-Version: 1.0
Message-ID: <accbedc6-63ce-4e8d-a788-6fdf443ba1dd@default>
Date: Wed, 13 Jan 2021 11:20:34 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Utkarsh Singh <utkarsh190601@HIDDEN>
Subject: RE: bug#45839: 28.0.50; Isearch and transient mode wierd behaviour in
 info-mode!
References: <874kjljbsc.fsf@HIDDEN> <871reokawq.fsf@HIDDEN>
In-Reply-To: <871reokawq.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5095.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9863
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 mlxlogscore=993 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2101130115
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9863
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 phishscore=0
 impostorscore=0 bulkscore=0 adultscore=0 suspectscore=0 malwarescore=0
 lowpriorityscore=0 clxscore=1011 mlxlogscore=999 mlxscore=0
 priorityscore=1501 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2101130115
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45839
Cc: 45839 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Please see in the function 'Info-search' that it intentionally
> deactivates the active region during the search by calling:
>=20
>   (deactivate-mark)
>=20
> This is because when the search arrives in another Info node,
> then region highlighting breaks - the region's beginning stays
> in the previous node, while the region's end moves to the next node.
> To avoid such situation, it deactivates the active region.

FWIW, Info+ doesn't have this problem.  It deactivates
the mark only when search moves to another node.
___

If library Isearch+ is also loaded then when search
stays in the same node the mark is deactivated if
option `isearchp-deactivate-region-flag' is non-nil
(the default).  You can toggle this anytime during
Isearch with `M-=3D C-SPC'.

So you control the behavior for search within a node,
and deactivation happens when search moves to another
node.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45839; Package emacs. Full text available.

Message received at 45839 <at> debbugs.gnu.org:


Received: (at 45839) by debbugs.gnu.org; 13 Jan 2021 18:08:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 13:08:29 2021
Received: from localhost ([127.0.0.1]:36552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzkZJ-0000XS-4M
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 13:08:29 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:57617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kzkZH-0000Wq-M4
 for 45839 <at> debbugs.gnu.org; Wed, 13 Jan 2021 13:08:28 -0500
X-Originating-IP: 91.129.98.64
Received: from mail.gandi.net (m91-129-98-64.cust.tele2.ee [91.129.98.64])
 (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id ABABA60007;
 Wed, 13 Jan 2021 18:08:20 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Utkarsh Singh <utkarsh190601@HIDDEN>
Subject: Re: bug#45839: 28.0.50; Isearch and transient mode wierd behaviour
 in info-mode!
Organization: LINKOV.NET
References: <874kjljbsc.fsf@HIDDEN>
Date: Wed, 13 Jan 2021 20:06:20 +0200
In-Reply-To: <874kjljbsc.fsf@HIDDEN> (Utkarsh Singh's message of "Wed, 13
 Jan 2021 17:20:43 +0530")
Message-ID: <871reokawq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45839
Cc: 45839 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> In info-mode do the following:
> + C-SPC :: set mark
> + C-s valid_query :: search for some string
> + RET
>
> By now you can see region is not highlighted and this will affect all
> other command such as M-w(kill-ring-save).

Please see in the function 'Info-search' that it intentionally
deactivates the active region during the search by calling:

  (deactivate-mark)

This is because when the search arrives in another Info node,
then region highlighting breaks - the region's beginning stays
in the previous node, while the region's end moves to the next node.
To avoid such situation, it deactivates the active region.

If you want to copy the region with M-w, then you can reactivate it with
'C-x C-x'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45839; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2021 12:26:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 07:26:08 2021
Received: from localhost ([127.0.0.1]:34594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzfDy-0005Yk-KV
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 07:26:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:53746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1kzeek-0002Vt-Cs
 for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 06:49:43 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43662)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <utkarsh190601@HIDDEN>)
 id 1kzeek-0005wB-14
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2021 06:49:42 -0500
Received: from mail-pl1-x62e.google.com ([2607:f8b0:4864:20::62e]:45737)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <utkarsh190601@HIDDEN>)
 id 1kzeeg-0001af-W7
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2021 06:49:41 -0500
Received: by mail-pl1-x62e.google.com with SMTP id b8so914976plh.12
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 Jan 2021 03:49:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=Rf4OKccdji7qH7/Z5PRLr17nUh012OVwwSHWUJr82I8=;
 b=GyBx8tPboXxO1+Pti80Ru4jfljxgLiY/3oLe/wV9sc2OP9+tmkvxxg4lzQS+3+vw6f
 Z3S9xL9B/B7BavaQJ8T0yTpIjygRbNWJ5bpbsXvmMNV9Ig1fzRDC/JV7f70OpIZ03l9G
 o5MKwZnrxRFO5YIFq0scEZD8eZjXy3m45wW7SBe29x71SAwRQ5Qpk1Vwl25hpW1cfF5o
 yuCA1JVXCiSpAzKFkMNP59078cYge0OrDvXNOtQq9XYX1FsCugv2jWbnYHPgQGWD2de0
 B3seqoW6Fx9ozOy3XXMBjKznToi5UqfZgb78O/AiqLLV+JA32xfo6cRP3XRNfqeGRsDu
 4LHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=Rf4OKccdji7qH7/Z5PRLr17nUh012OVwwSHWUJr82I8=;
 b=Wdxcd/EX5CmyhyBUEMHbOmMDyzr0S38rmXDRxPUR8/CBotLyE3W2rWCx1c3lk4ZU3s
 IVaXPJwPy/TZjOAgqJhnYMZVC/eZItWgLXPh28sKzVe/VbgGIEP6+fB2E/89k58QfdjX
 oj/4ulWhBR7sqUOOROTjTqfu94zjNd9uU8izpW6WfsohWlkfK1DBuUiICUA2FO4Wp1YY
 M9oBD4Ul5+lPmbAyhcm8kEIedzFtJt/b9h8GyA12LEOm4jVWkCJBplZyfpJ6n/888xwF
 oqEi9L5UvIjHYqbpRbyviJnfvkYnCxDbcoXhJOZNKyJcoWCEOIMu/8Odou+5IG72IQKn
 3/Sw==
X-Gm-Message-State: AOAM533Yv+sMY/EPvJfPocR+I/8bo8DHcw9VhkIQ4UOG9dEXyLWucEu5
 KK7Kjt+GZ+KWQ8zec5LWJZ+OcPZS03U=
X-Google-Smtp-Source: ABdhPJzRBt5zJ2U/e2cWdPN/jSqrmBcyXLOLN1vK6tbbNKkX2me7XgxdwYkP//B6E5AHyGeHGHp1cg==
X-Received: by 2002:a17:90b:f89:: with SMTP id
 ft9mr1924375pjb.219.1610538576837; 
 Wed, 13 Jan 2021 03:49:36 -0800 (PST)
Received: from localhost ([43.230.66.97])
 by smtp.gmail.com with ESMTPSA id o1sm2376554pgq.1.2021.01.13.03.49.35
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jan 2021 03:49:36 -0800 (PST)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Isearch and transient mode wierd behaviour in info-mode!
Date: Wed, 13 Jan 2021 17:20:43 +0530
Message-ID: <874kjljbsc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::62e;
 envelope-from=utkarsh190601@HIDDEN; helo=mail-pl1-x62e.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 13 Jan 2021 07:26:05 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

In info-mode do the following:
+ C-SPC :: set mark
+ C-s valid_query :: search for some string
+ RET

By now you can see region is not highlighted and this will affect all
other command such as M-w(kill-ring-save).

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.17.4)
 of 2021-01-11 built on archlinux
Repository revision: 8810e1789cce8cb9f2e463fc305c0b6ff12580ba
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12099001
System Description: Arch Linux

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_IN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  semantic-minor-modes-format: ((:eval (if (or semantic-highlight-edits-mode semantic-show-unmatched-syntax-mode)  S)))
  icomplete-vertical-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  company-tng-mode: t
  save-place-mode: t
  pdf-occur-global-minor-mode: t
  winner-mode: t
  icomplete-mode: t
  fido-mode: t
  amx-mode: t
  minions-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  recentf-mode: t
  show-paren-mode: t
  electric-pair-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/utkarsh/.config/emacs/elpa/icomplete-vertical-20210105.500/icomplete-vertical hides /tmp/icomplete-vertical-0R2C0p/icomplete-vertical-20210105.500/icomplete-vertical
/home/utkarsh/.config/emacs/elpa/icomplete-vertical-20210105.500/icomplete-vertical-pkg hides /tmp/icomplete-vertical-0R2C0p/icomplete-vertical-20210105.500/icomplete-vertical-pkg
/home/utkarsh/.config/emacs/elpa/icomplete-vertical-20210105.500/icomplete-vertical-autoloads hides /tmp/icomplete-vertical-0R2C0p/icomplete-vertical-20210105.500/icomplete-vertical-autoloads

Features:
(shadow mail-extr emacsbug timezone dabbrev korea-util org-element
ol-eww eww xdg mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-search gnus-art mm-uu mml2015 gnus-sum gnus-group gnus-undo
gnus-start gnus-dbus dbus gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo parse-time gnus-spec gnus-int gnus-range gnus-win ol-docview
doc-view ol-bibtex bibtex iso8601 ol-bbdb ol-w3m eieio-opt speedbar
ezimage dframe shortdoc mule-util cl-print ido vc-git
modus-operandi-theme help-fns icomplete-vertical autoload radix-tree
lisp-mnt tar-mode arc-mode archive-mode mm-archive gnutls network-stream
url-http url-gw nsm url-cache url-auth epa-file password-store
auth-source-pass with-editor async-bytecomp async shell minibuf-eldef
two-column misearch multi-isearch flyspell ispell company-oddmuse
company-keywords company-etags etags fileloop xref project company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company-tng company pcase flycheck rx dash server
modus-vivendi-theme modus-themes gnus nnheader emms-librefm-stream
emms-librefm-scrobbler emms-playlist-limit emms-volume
emms-volume-mixerctl emms-volume-pulse emms-volume-amixer emms-i18n
emms-history emms-score emms-stream-info emms-metaplaylist-mode
emms-bookmarks emms-cue emms-mode-line-icon emms-browser sort
emms-playlist-sort emms-last-played emms-player-xine emms-player-mpd
emms-playing-time emms-lyrics emms-url emms-streams emms-show-all
emms-tag-editor emms-mark emms-mode-line emms-cache emms-info-exiftool
emms-info-tinytag emms-info-metaflac emms-info-opusinfo
emms-info-ogginfo emms-info-mp3info emms-info emms-later-do
emms-playlist-mode emms-player-vlc emms-player-mpv emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file locate
emms-setup emms emms-compat notmuch hl-line notmuch-tree notmuch-jump
notmuch-hello notmuch-show notmuch-print notmuch-crypto notmuch-mua
notmuch-message notmuch-draft notmuch-maildir-fcc notmuch-address
notmuch-company notmuch-parser notmuch-wash diff-mode coolj
notmuch-query goto-addr icalendar diary-lib diary-loaddefs notmuch-tag
crm notmuch-lib notmuch-version notmuch-compat mm-view mml-smime smime
dig smtpmail sendmail sdcv pos-tip popup showtip esh-module esh-groups
esh-util elfeed-show elfeed-search message rmc rfc822 mml mml-sec epa
derived epg epg-config gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader shr
kinsoku puny svg dom elfeed-csv elfeed elfeed-curl elfeed-log elfeed-db
elfeed-lib thingatpt avl-tree generator url-queue xml-query xml
saveplace-pdf-view saveplace pdf-occur ibuf-ext ibuffer ibuffer-loaddefs
tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet pdf-isearch
let-alist pdf-misc imenu pdf-tools compile cus-edit cus-start cus-load
pdf-view bookmark text-property-search pp jka-compr pdf-cache pdf-info
tq pdf-util image-mode exif try winner icomplete amx s minions
autorevert filenotify org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete comint
ansi-color ring org-list org-faces org-entities time-date noutline
outline org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat advice org-macs org-loaddefs format-spec find-func cal-menu
calendar cal-loaddefs dired-aux dired dired-loaddefs delsel recentf
tree-widget wid-edit paren elec-pair edmacro kmacro cl-extra help-mode
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core finder-inf
info package easymenu browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 679723 52515)
 (symbols 48 43644 5)
 (strings 32 192833 7458)
 (string-bytes 1 5816298)
 (vectors 16 68758)
 (vector-slots 8 1171046 137243)
 (floats 8 798 2574)
 (intervals 56 13094 1049)
 (buffers 984 25))

-- 
Utkarsh Singh




Acknowledgement sent to Utkarsh Singh <utkarsh190601@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45839; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 14 Jan 2021 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.